<?php
###########################
#Скрипт: Топ-Рейтинг	  #
#Автор: SL_NeKrOmAnT      #
#Версия: 1.2.1(Free)      #
#ICQ: 313886              #
#MAIL: maloy_s95@mail.ru  #
###########################
ob_start();
define('NTOP', 1);
$title = 'Кабинет';
require_once ('../system/connect.php');
require_once ('../system/core.php');
require_once ('../system/function.php');
require_once ('head.php');
reg();
$mod = isset($_GET['mod']) ? (string)$_GET['mod'] : '';
switch($act)
	{
		default:
		$platforms = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'"));
		$activ = $platforms == 0 ? '<font color=red><strong>Не активен</strong></font>' : '<font color=green><strong>Активен</strong></font>';
		echo '<div class="title2">Личный кабинет , <strong>'.$user_data['login'].'</strong> [Активность: '.$activ.']<br/></div>';
		echo '<div class="main">';
		echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">Мои площадки<a/>['.$platforms.'|'.$set['max_platforms'].']<br/>';
		echo '<a href="http://'.$set['home'].'/str/office.php?act=settings">Мои настройки<a/><br/>';
		echo '<a href="http://'.$set['home'].'/str/office.php?act=code">Код для сайта<a/><br/>';
		echo '<a href="http://'.$set['home'].'/str/enter.php?act=exit">Выход<a/> ['.$user_data['login'].']<br/></div>';
		break;
		case 'platforms':
		$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
		$platforms = mysql_num_rows($platform);
		echo '<div class="title2">';
		echo 'Площадки - '.$user_data['login'].'<br/></div>';
		echo '<div class="main">';
		echo '<small>';
		echo 'Всего площадок: <strong>'.$platforms.'</strong> из максимально возможных <strong>'.$set['max_platforms'].'</strong>';
		echo '</small>';
		echo '</div>';
		if($platforms == 0)
			{
				echo '<div class="main">';
				echo 'У вас нет площадок.Добавьте их!<br/>';
				echo '<a href="http://'.$set['home'].'/str/office.php?act=add_platform">Добавить площадку</a><br/>';
				echo '</div>';
			}
		else
			{
				$total=intval(($platforms-1)/$page_platforms)+1; 
				$page=abs(intval($_GET['page'])); 
				if(empty($page) OR $page < 0)
					{
						$page = 1; 
					}
				if($page > $total)
					{
						$page = $total; 
					}
				$past=intval($platforms/$page_platforms);  
				$start=$page*$page_platforms-$page_platforms; 
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."' ORDER BY `id` DESC LIMIT ".$start.",".$page_platforms."");
				while($row = mysql_fetch_array($platform))
					{
						$status = $row['status'] == 1 ? '<font color=green>Проверена</font>' : '<font color=red>На модерации</font>';
						$moder = ($row['status'] == 0 AND $set['auto_moderacia'] == 1) ? '[<a href = "http://'.$set['home'].'/str/office.php?act=auto_moderacia&id='.$row['id'].'"><font color=red>Автомодерация</font></a>]' : '';
						$start++;
						echo '<div class="title2"><a href="http://'.$set['home'].'/out.php?id='.$row['id'].'"><strong>'.$row['name'].'</strong></a> <small>[ID: '.$row['id'].']</small> ['.$status.'] '.$moder.'<br/></div>';
						echo '<div class="main">';
						if(mb_strlen($row['about']) > 50)
							{
								$text = substr($row['about'],0,50);
								echo ''.$text.'...<br/>'; 
							}
						else
							{
								echo ''.$row['about'].'<br/>'; 
							}
						echo '---<br/>';
						echo '<a href="http://'.$set['home'].'/str/office.php?act=edit_platform&id='.$row['id'].'"><strong>[Изм]</strong></a> | <a href="http://'.$set['home'].'/str/office.php?act=del_platform&id='.$row['id'].'"><strong>[Уд]</strong></a> | <a href="http://'.$set['home'].'/str/infos.php?id='.$row['id'].'"> <strong>[Статистика]</strong></a> | <a href="http://'.$set['home'].'/str/office.php?act=code&id='.$row['id'].'"> <strong>[Код]</strong></a></br>';
						echo '</div>';
					}
				navigation($platforms,$page_platforms,$page,'http://'.$set['home'].'/str/office.php?act=platforms&',$total);
				echo '<a href="http://'.$set['home'].'/str/office.php?act=add_platform">Добавить площадку</a><br/>';
			}
		break;
		case 'add_platform':
		echo '<div class="title2">Добавление площадки</div>';
		if(!isset($_POST['ok']))
			{
				$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
				$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
				echo '<div class="main">';
				echo '
				<form action="office.php?act=add_platform&mod=2" method="post">
				Название сайта(max. 35):<br/>
				<input type="text"  class="input" name="name" maxlength="35" value="" /><br/>
				URL сайта(без http:// и т.п)(max. 35):<br/>
				<input type="text"  class="input" name="url" maxlength="35" value="" /><br/>
				Описание сайта(max. 100):<br/>
				<textarea name="about" cols="38" rows="8"></textarea><br/>
				Категория:<br/>
				<select name="cat">
				';
				$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
				if(mysql_num_rows($cats) > 0)
				{
				while($cat = mysql_fetch_assoc($cats))
				{
				echo '<option value="'.$cat['id'].'">'.$cat['name'].'</option>';
				}
				}
				echo '</select><br/><br/>';
				echo '
				Выберите счётчик:<br/>
				';
				echo '<div class="main">';
				echo 'Большие: <br/>';
				while($count_big = mysql_fetch_array($image_big))
				{
				echo '<input type="radio" name="image" value="'.$count_big['name'].'">';
				echo '<img src="http://'.$set['home'].'/images/'.$count_big['name'].'.gif" alt=""><br/>';
				}
				echo '</div>';
				echo '---<br/>';
				echo '<div class="main">';
				echo 'Маленькие: <br/>';
				while($count_small = mysql_fetch_array($image_small))
				{
				echo '<input type="radio" name="image" value="'.$count_small['name'].'">';
				echo '<img src="http://'.$set['home'].'/images/'.$count_small['name'].'.gif" alt=""><br/>';
				}
				echo '</div>';
				echo '<input name="ok" type="submit" value="Добавить" />
				</form>
				</div>';
			}
		else
			{
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id_user` = '".$user_data['id']."'");
				$platforms_count = mysql_num_rows($platform);
				if($platforms_count >= $set['max_platforms'])
					{
						echo '<div class="error">';
						echo 'Достигнут лимит площадок <strong>'.$set['max_platforms'].'</strong> , удалите лишние площадки или создайте новый аккаунт!<br/>';
						echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
						echo '</div>';
					}
				else
					{
						$url = filter($_POST['url']);
						$name = filter($_POST['name']);
						$about = filter($_POST['about']);
						$cat = intval($_POST['cat']);
						$image = filter($_POST['image']);
						$pr=getPageRank($url);
						$cy=intval(cy($url));
						$error = '';
						$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
						$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$image."'"));
						if($isset_image == 0)
							{
								$error .= 'Ошибка! Нет такого изображения!<br/>';
							}
						if($isset_cat == 0)
							{
								$error .= 'Ошибка! Нет такой категории!<br/>';
							}
						if(empty($url) OR empty($name) OR empty($about) OR empty($cat) OR empty($image))
							{
								$error .= 'Ошибка! Не заполнены поля!<br/>';
							}
						if(mb_strlen($url) >= 35)
							{
								$error .= 'Ошибка! Поле "URL сайта" не должно быть больше 35 символов!<br/>';
							}
						if(mb_strlen($name) >= 35)
							{
								$error .= 'Ошибка! Поле "Название сайта" не должно быть больше 35 символов!<br/>';
							}
						if(mb_strlen($about) >= 100)
							{
								$error .= 'Ошибка! Поле "Описание сайта" не должно быть больше 100 символов!<br/>';
							}
						if(!empty($error))
							{
								echo '<div class="error">';
								echo $error;
								echo '<a href="http://'.$set['home'].'/str/office.php?act=add_platform">Назад</a><br/>';
							}
						else
							{
								$insert_platform = mysql_query("INSERT INTO `".$prefix."sait` SET `id_user` = '".$user_data['id']."', `name` = '".$name."', `about` = '".$about."', `category` = '".$cat."', `url` = '".$url."', `image` = '".$image."', `status` = '".$set['moderacia']."', `pr` = '".$pr."', `cy` = '".$cy."'");
								if($insert_platform)
									{
										echo '<div class="main">';
										echo 'Площадка успешно добавлена!<br/>';
										echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
										echo '</div>';
									}
								else
									{
										echo '<div class="error">';
										echo 'Площадка не добавлена , попробуйте снова!<br/>';
										echo '<a href="http://'.$set['home'].'/str/office.php?act=add_platform">Назад</a><br/>';
										echo '</div>';
									}
							}
					}	
			}	
		break;
		case 'edit_platform':
		if(!isset($_POST['ok']))
			{
				echo '<div class="title2">Изменение площадки</div>';
				$platform = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
				$platform_count = mysql_num_rows($platform);
				$user_platform = mysql_fetch_array($platform);
				$image_big = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'big'");
				$image_small = mysql_query("SELECT * FROM `".$prefix."images` WHERE `type` = 'small'");
				if($platform_count > 0)
					{
						echo '<div class="main">';
						echo '
						<form action="office.php?act=edit_platform&mod=2&id='.$id.'" method="post">
						Название сайта(max. 35):<br/>
						<input type="text"  class="input" name="name" maxlength="35" value="'.$user_platform['name'].'" /><br/>
						URL сайта(без http:// и т.п)(max. 35):<br/>
						<input type="text"  class="input" name="url" maxlength="35" value="'.$user_platform['url'].'" /><br/>
						Описание сайта(max. 100):<br/>
						<textarea name="about" cols="38" rows="8">'.$user_platform['about'].'</textarea><br/>
						Категория:<br/>
						<select name="cat">';
						$cats = mysql_query("SELECT * FROM `".$prefix."cat` ORDER BY `position` ASC");
						if(mysql_num_rows($cats) > 0)
							{
								while($cat = mysql_fetch_assoc($cats))
									{
										$selected = ($user_platform['category'] == $cat['id']) ? ' selected="selected"' : '';
										echo '<option value="'.$cat['id'].'"'.$selected.'>'.$cat['name'].'</option>';
									}
							}
						echo '</select><br/><br/>';
						echo '
						Счётчик:<br/>
						';
						echo '<div class="main">';
						echo 'Большие: <br/>';
						while($count_big = mysql_fetch_array($image_big))
							{
								$checked = ($user_platform['image'] == $count_big['name']) ? ' checked="checked"' : '';
								echo '<input type="radio" name="image" value="'.$count_big['name'].'"'.$checked.'>';
								echo '<img src="http://'.$set['home'].'/images/'.$count_big['name'].'.gif" alt=""><br/>';
							}
						echo '</div>';
						echo '---<br/>';
						echo '<div class="main">';
						echo 'Маленькие: <br/>';
						while($count_small = mysql_fetch_array($image_small))
							{
								$checked = ($user_platform['image'] == $count_small['name']) ? ' checked="checked"' : '';
								echo '<input type="radio" name="image" value="'.$count_small['name'].'"'.$checked.'>';
								echo '<img src="http://'.$set['home'].'/images/'.$count_small['name'].'.gif" alt=""><br/>';
							}
						echo '</div>';
						echo '<input name="ok" type="submit" value="Изменить" />
						</form>
						</div>';
					}
				else
					{
						echo '<div class="error">';
						echo 'Данной площадки не существует!<br/>';
						echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">Назад</a><br/>';
						echo '</div>';
					}
			}
		else
			{
				$cat = intval($_POST['cat']);
				$image = filter($_POST['image']);
				$name = filter($_POST['name']);
				$url = filter($_POST['url']);
				$url = str_replace("http://","",$url);
				$about = filter($_POST['about']);
				$platform_isset = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1"));
				$error = '';
				$isset_cat = mysql_num_rows(mysql_query("SELECT `id` FROM `".$prefix."cat` WHERE `id` = '".$cat."'"));
				$isset_image = mysql_num_rows(mysql_query("SELECT * FROM `".$prefix."images` WHERE `name` = '".$image."'"));
				if($isset_image == 0)
					{
						$error .= 'Ошибка! Нет такого изображения!<br/>';
					}
				if($isset_cat == 0)
					{
						$error .= 'Ошибка! Нет такой категории!<br/>';
					}
				if(empty($cat) OR empty($image) OR empty($name) OR empty($url) OR empty($about))
					{
						$error .= 'Ошибка!Не заполнены поля!<br/>';
					}
				if($platform_isset == 0)
					{
						$error .= 'У вас нет такой площадки!<br/>';
					}
				if(!empty($error))
					{
						echo '<div class="error">';
						echo $error;
						echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
					}
				else
					{
						$update_platform = mysql_query("UPDATE `".$prefix."sait` SET `category` = '".$cat."', `image` = '".$image."', `name` = '".$name."', `url` = '".$url."', `about` = '".$about."', `status` = '0' WHERE `id` = '".$id."'");
						if($update_platform)
							{
								echo '<div class="main">';
								echo 'Площадка успешно отредактирована!<br/>';
								echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="error">';
								echo 'Площадка не отредактирована , попробуйте снова!<br/>';
								echo '<a href="http://'.$set['home'].'/str/office.php?act=edit_platform&id='.$id.'">Назад</a><br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'del_platform':
		$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
		$platform_isset_c = mysql_num_rows($platform_isset);
		if($platform_isset_c > 0)
			{
				$platform = mysql_fetch_array($platform_isset );
				echo '<div class="title2">Удаление площадки <strong>'.$platform['name'].'</strong></div>';
				if(!isset($_GET['ok']))
					{
						echo '<div class="main">';
						echo 'Вы действительно хотите удалить площадку <strong>'.$platform['name'].'</strong> из Топ-Рейтинга ?<br/>';
						echo '<a href="http://'.$set['home'].'/str/office.php?act=del_platform&id='.$id.'&ok">Да</a> | <a href="http://'.$set['home'].'/str/office.php?act=platforms">Нет</a><br/>';
						echo '</div>';
					}
				else
					{
						$del_hosts = mysql_query("DELETE FROM `".$prefix."hosts` WHERE `id_sait` = '".$id."'");
						$del_hits = mysql_query("DELETE FROM `".$prefix."hits` WHERE `id_sait` = '".$id."'");
						$del_online = mysql_query("DELETE FROM `".$prefix."sait_online` WHERE `id_sait` = '".$id."'");
						$del_platform = mysql_query("DELETE FROM `".$prefix."sait` WHERE `id` = '".$id."'");
						if($del_hosts AND $del_hits AND $del_online AND $del_platform)
							{
								echo '<div class="main">';
								echo 'Площадка успешно удалена!<br/>';
								echo '<a href="http://'.$set['home'].'/str/office.php">В кабинет</a><br/>';
								echo '</div>';
							}
						else
							{
								echo '<div class="error">';
								echo 'В процессе удаления произошла ошибка!<br/>';
								echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
								echo '</div>';
							}
					}
			}
		else
			{
				echo '<div class="error">';
				echo 'У вас нет такой площадки!<br/>';
				echo '<a href="http://'.$set['home'].'/str/office.php?act=platforms">К площадкам</a><br/>';
				echo '</div>';
			}
		break;
		case 'code':
			echo '<div class="title2">Код для установки на сайте</div>';
			if(!isset($_GET['id']))
				{
			echo '<div class="main">';
			echo 'Чтобы установить счётчик на вашем сайте , нужно поставить ссылку вида:<br/>';
			echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go.php?id=<font color=red>ID_ПЛОЩАДКИ</font>">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image.php?id=<font color=red>ID_ПЛОЩАДКИ</font>" alt="'.$set['top_name'].'"/><br/></strong>';
			echo '---<br/>';
			echo '<small>Где <strong>ID_ПЛОЩАДКИ</strong> - ID площадки , счётчик которой вы хотите поставить , ID - показывается рядом с площадкой!</small><br/>';
			echo '</div>';
				}
			else
				{
					$id = htmlspecialchars($_GET['id']);
					echo '<div class="main">';
					echo 'Чтобы установить счётчик на вашем сайте , нужно поставить ссылку:<br/>';
					echo '<strong>'.htmlspecialchars('<a').' href="http://'.$set['home'].'/go.php?id='.$id.'">'.htmlspecialchars('<img').' src="http://'.$set['home'].'/image.php?id='.$id.'" alt="'.$set['top_name'].'"/></a><br/></strong>';
					echo '---<br/>';
					echo 'Скопировать в буфер: <br/>';
					echo '<input type="text" name="" maxlength="200" class="do_button" value="'.htmlspecialchars('<a href="http://'.$set['home'].'/go.php?id='.$id.'"><img src="http://'.$set['home'].'/image.php?id='.$id.'" alt="'.$set['top_name'].'"/>').'"/><br/>';
					echo '---<br/>';
					echo '<a href="http://'.$set['home'].'/str/office.php">В кабинет</a><br/>';
					echo '</div>';
				}
		break;
		case 'settings':
		echo '<div class="title2">Мои настройки</div>';
		if(!isset($_POST['ok']))
			{
				echo '<div class="main">';
				echo '<form action="office.php?act=settings" method="post" name="form">';
				echo 'Площадок на страницу в кабинете:<br/>';
				echo '<input type="text" name="page_platforms" maxlength="2" class="do_button" value="'.$user_data['page_platforms'].'"/><br/>';
				echo 'Элементов на страницу в статистике:<br/>';
				echo '<input type="text" name="pages" maxlength="2" class="do_button" value="'.$user_data['pages'].'"/><br/>';
				echo 'Сайтов на страницу в категории:<br/>';
				echo '<input type="text" name="page_sait" maxlength="2" class="do_button" value="'.$user_data['page_sait'].'"/><br/>';
				echo 'Сайтов на страницу Топ-100 (Главная стр.):<br/>';
				echo '<input type="text" name="page_top" maxlength="2" class="do_button" value="'.$user_data['page_top'].'"/><br/>';
				echo 'Новостей на страницу:<br/>';
				echo '<input type="text" name="page_news" maxlength="2" class="do_button" value="'.$user_data['page_news'].'"/><br/>';
				echo 'Комментариев к новостям на страницу:<br/>';
				echo '<input type="text" name="page_newsc" maxlength="2" class="do_button" value="'.$user_data['page_newsc'].'"/><br/>';
				echo 'Комментариев к сайтам на страницу:<br/>';
				echo '<input type="text" name="page_sait_comments" maxlength="2" class="do_button" value="'.$user_data['page_sait_comments'].'"/><br/>';
				echo '<input name="ok" type="submit" value="Сохранить" /></form></div>';
				echo '</div>';
			}
		else
			{
				$page_platforms = abs(intval($_POST['page_platforms']));
				$pages = abs(intval($_POST['pages']));
				$page_sait = abs(intval($_POST['page_sait']));
				$page_top = abs(intval($_POST['page_top']));
				$page_news = abs(intval($_POST['page_news']));
				$page_newsc = abs(intval($_POST['page_newsc']));
				$page_sait_comments = abs(intval($_POST['page_sait_comments']));
				$error = '';
				if(empty($page_platforms) or empty($pages) or empty($page_sait) or empty($page_top) or empty($page_news) or empty($page_newsc) or empty($page_sait_comments))
					{
						$error .= 'Ошибка!Одно из полей не заполнено<br/>';
					}
				if(mb_strlen($pages) > 2)
					{
						$error .= 'Ошибка! Поле "Элементов на страницу в статистике" содержит больше 2 символов! <br/>';
					}
				if(mb_strlen($page_sait) > 2)
					{
						$error .= 'Ошибка! Поле "Сайтов на страницу в категории" содержит больше 2 символов! <br/>';
					}				
				if(mb_strlen($page_platforms) > 2)
					{
						$error .= 'Ошибка! Поле "Площадок на страницу" содержит больше 2 символов! <br/>';
					}	
				if(mb_strlen($page_top) > 2)
					{
						$error .= 'Ошибка! Поле "Сайтов на страницу Топ-100" содержит больше 2 символов! <br/>';
					}	
				if(mb_strlen($page_news) > 2)
					{
						$error .= 'Ошибка! Поле "Новостей на страницу" содержит больше 2 символов! <br/>';
					}	
				if(mb_strlen($page_newsc) > 2)
					{
						$error .= 'Ошибка! Поле "Комментариев к новостям на страницу" содержит больше 2 символов! <br/>';
					}		
				if(mb_strlen($page_sait_comments) > 2)
					{
						$error .= 'Ошибка! Поле "Комментариев к сайтам на страницу" содержит больше 2 символов! <br/>';
					}							
				if(!empty($error))
					{
						echo '<div class="error">';
						echo $error;
						echo '</div>';
						echo '<a href="http://'.$set['home'].'/str/office.php?act=settings">Назад</a><br/>';
					}
				else
					{
						$up = mysql_query("UPDATE `".$prefix."users` SET `page_platforms` = '".$page_platforms."', `pages` = '".$pages."', `page_sait` = '".$page_sait."', `page_top` = '".$page_top."', `page_news` = '".$page_news."', `page_newsc` = '".$page_newsc."', `page_sait_comments` = '".$page_sait_comments."' WHERE `id` = '".$user_data['id']."'");
						if($up)
							{
								echo '<div class="main">';
								echo '<font color=green>Настройки успешно изменены!</font><br/>';
								echo '</div>';
							}
					}
			}
		break;
		case 'auto_moderacia':
		if($id)
			{
				$platform_isset = mysql_query("SELECT * FROM `".$prefix."sait` WHERE `id` = '".$id."' AND `id_user` = '".$user_data['id']."' LIMIT 1");
				$platform_isset_c = mysql_num_rows($platform_isset);
				if($platform_isset_c > 0)
					{
						$us = mysql_fetch_array($platform_isset);
						if($us['status'] == 0)
							{
								$sait = file_get_contents('http://'.$us['url']);
								$preg = preg_quote('#<a href="http://'.$set['home'].'/go.php?id='.$id.'"><img src="http://'.$set['home'].'/image.php?id='.$id.'" alt="'.$set['top_name'].'"/></a>#iU');
								if(preg_match($preg,$sait))
									{   
										$up = mysql_query("UPDATE `".$prefix."sait` SET  `status` = '1' WHERE `id` = '".$id."'");
										if($up)
											{
												echo '<div class="main">';
												echo 'Сайт успешно активирован<br/>';
												echo '</div>';
											}
										else
											{
												echo '<div class="error">';
												echo 'Сайт не активирован<br/>';
												echo '</div>';
											}
									}
							}
						else
							{
							echo '<div class="error">';
							echo 'Сайт уже был ранее активирован<br/>';
							echo '</div>';
							}
					}
			}
		break;
	}

require_once ('foot.php');
?>
